package rd.dao.mapper.schedule;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import rd.data.db.table.CourseSchedule;
import rd.data.db.table.StudentInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CourseScheduleMapper extends BaseMapper<CourseSchedule> {
    Object getScheduleDetailFromCourseId(String course);

    Object getScheduleDetailFromScheduleId(String courseSchedule);

    Integer getScheduleTotalStudent(String courseSchedule);

    List<StudentInfo> getSelectedStudent(String courseSchedule);

    Object getCourseScheduleDetail(@Param("id") Long id);
}
